
From: Pavel Machek <pavel@ucw.cz>

This stops ugly flashing from radeon during suspend/resume.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/aty/radeon_pm.c |   15 +++++++++------
 1 files changed, 9 insertions(+), 6 deletions(-)

diff -puN drivers/video/aty/radeon_pm.c~radeon-do-not-blank-screen-during-suspend drivers/video/aty/radeon_pm.c
--- 25/drivers/video/aty/radeon_pm.c~radeon-do-not-blank-screen-during-suspend	Wed Sep 15 14:05:24 2004
+++ 25-akpm/drivers/video/aty/radeon_pm.c	Wed Sep 15 14:05:24 2004
@@ -871,7 +871,8 @@ int radeonfb_pci_suspend(struct pci_dev 
 	agp_enable(0);
 #endif
 
-	fb_set_suspend(info, 1);
+	if (system_state != SYSTEM_SNAPSHOT)
+		fb_set_suspend(info, 1);
 
 	if (!(info->flags & FBINFO_HWACCEL_DISABLED)) {
 		/* Make sure engine is reset */
@@ -880,12 +881,14 @@ int radeonfb_pci_suspend(struct pci_dev 
 		radeon_engine_idle();
 	}
 
-	/* Blank display and LCD */
-	radeonfb_blank(VESA_POWERDOWN, info);
+	if (system_state != SYSTEM_SNAPSHOT) {
+		/* Blank display and LCD */
+		radeonfb_blank(VESA_POWERDOWN, info);
 
-	/* Sleep */
-	rinfo->asleep = 1;
-	rinfo->lock_blank = 1;
+		/* Sleep */
+		rinfo->asleep = 1;
+		rinfo->lock_blank = 1;
+	}
 
 	/* Suspend the chip to D2 state when supported
 	 */
_
